﻿<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="MenuEdit.aspx.cs" Inherits="Admin_Store_MenuEdit" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="ComboBox" src="~/Controls/ComboBox.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:UpdatePanel ID="udp" runat="server">
        <ContentTemplate>
            <h4>Menu Style</h4>
            <table>
                <tr>
                    <td>Menu CSS Class:</td>
                    <td></td>
                    <td><asp:TextBox id="txtMenuClass" runat="server" /> </td>
                </tr>
                <tr>
                    <td>Menu Item CSS Class:</td>
                    <td></td>
                    <td><asp:TextBox id="txtMenuItemClass" runat="server" /> </td>
                </tr>
            </table>

            <h4>Menu Items</h4>
            <div class="reorderList">
                <ajaxc:ReorderList id="rol" runat="server" postbackonreorder="true" draghandlealignment="Left"
                    onitemreorder="rol_ItemReorder" ondeletecommand="rol_DeleteCommand"
                    width="600px" callbackcssstyle="callbackStyle" >
                    <ItemTemplate>
                        <table width="540px;" class="itemArea" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="padding-top:2px;"><asp:Label id="lblTitle" runat="server" text='<%# Eval("Title") %>' tooltip='<%# Eval("Url") %>'></asp:Label></td>
                                <td style="width:120px;"><asp:Button id="btnEdit" runat="server" text="Edit" commandargument='<%# Eval("Index") %>' commandname="EditMenu"
                                        oncommand="btnEdit_Command" causesvalidation="false"/> 
                                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
                                    <ajaxc:ConfirmButtonExtender ID="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" 
                                        confirmtext='Are you sure you want to delete this menu item?' />
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                    <ReorderTemplate>
                        <asp:Panel ID="Panel2" runat="server" CssClass="reorderCue" />
                    </ReorderTemplate>
                    <DragHandleTemplate>
                        <div class="dragHandle"></div>
                    </DragHandleTemplate>
                    <EmptyListTemplate>
                        Menu is empty. Please use the following form to add menu items.
                    </EmptyListTemplate>
                </ajaxc:ReorderList>
            </div>

            <fieldset style="width:650px;"><legend><asp:Label id="lblMessage" runat="server"></asp:Label></legend>
                <div>
                    <asp:ValidationSummary id="vds" runat="server" validationgroup="menuItem" />
                    <asp:DetailsView id="dvwMenuItem" runat="server" autogeneraterows="false" datakeynames="Index" defaultmode="Insert"
                        oniteminserting="dvwMenuItem_ItemInserting" onitemupdating="dvwMenuItem_ItemUpdating" width="600px">
                        <Fields>
                            <asp:TemplateField headertext="Title:" headerstyle-width="100px">
                                <ItemTemplate>
                                    <%# Eval("Title") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <span class="sign">*</span>
                                    <asp:TextBox id="txtTitle" runat="server" width="400px" text='<%# Bind("Title") %>'></asp:TextBox>
                                    <asp:RequiredFieldValidator id="rfvTitle" runat="server" controltovalidate="txtTitle" validationgroup="menuItem"
                                        errormessage="Title is required." text="*" />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField headertext="Url:">
                                <ItemTemplate>
                                    <%# Eval("Url") %>
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <span class="sign">*</span>
                                    <dsc:ComboBox id="cbbUrl" runat="server" text='<%# Bind("Url") %>' datasource='<%# InteralPage.GetAll() %>' datatextfield="Name" datavaluefield="Url" rows="20" 
                                        textboxwidth="400px" dropdownwidth="400px" required="true" validationgroup="menuItem" name="Url" />
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField showheader="false" itemstyle-horizontalalign="Right">
                                <EditItemTemplate>
                                    <asp:Button id="btnUpdate" runat="server" text="Update" commandname="Update" validationgroup="menuItem" />
                                    <asp:Button id="btnCancel" runat="server" text="Cancel" onclick="btnCancel_Click" causesvalidation="false" />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:Button id="btnInsert" runat="server" text="Add" commandname="Insert" validationgroup="menuItem" />
                                </InsertItemTemplate>
                            </asp:TemplateField>
                        </Fields>
                    </asp:DetailsView> 
                 </div>
            </fieldset>
            
            <asp:Panel id="pnlActions" runat="server" style="margin-top:10px;">
                <asp:Button id="btnSave" runat="server" text="Save" onclick="btnSave_Click" /> 
                <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" /> 
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>

