<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Payment.aspx.cs" Inherits="Admin_Configuration_Payment" Title="Untitled Page" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>
<%@ Register tagprefix="dsc" tagname="ProviderConfiguration" src="Controls/ProviderConfiguration.ascx" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/Controls/TransitionalLabel.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <ajaxc:TabContainer id="tbcPayment" runat="server">
        <ajaxc:TabPanel id="tabCreditCard" runat="server" headertext="Credit Card">
            <ContentTemplate>
                <asp:ValidationSummary id="vdsCreditCard" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true"
                    validationgroup="creditCard" />
                <table>
                    <tr>
                        <td colspan="2">
                            <div>Select Card Types Accepted:</div>
                            <div style="margin-top:10px;">
                                <asp:CheckBoxList id="cblCardTypes" runat="server" repeatdirection="Vertical"
                                    datatextfield="Type" datavaluefield="CreditCardTypeId" ></asp:CheckBoxList> 
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <div style="margin-top:20px;">Select Gateway Provider:</div>
                            <div style="margin-top:10px;">
                                <asp:DropDownList id="ddlCreditCardProvider" runat="server" width="400px"
                                    onselectedindexchanged="ddlCreditCardProvider_SelectedIndexChanged" autopostback="true">
                                </asp:DropDownList>
                            </div>
                        </td>
                    </tr>
                    <dsc:ProviderConfiguration id="creditCardProviderConfiguration" runat="server" validationgroup="creditCard" />
                </table>
                <asp:Button ID="btnUpdateCreditCard" runat="server" text="Save" onclick="btnUpdateCreditCard_Click" validationgroup="creditCard" />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabPayPalExpress" runat="server" headertext="PayPal Express">
            <ContentTemplate>
                <asp:ValidationSummary id="vdsPaypalExpress" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true"
                    validationgroup="paypalExpress" />
                <table style="width:700px;">
                    <dsc:ProviderConfiguration id="paypalExpressProviderConfiguration" runat="server" validationgroup="paypalExpress" />
                </table>
                <asp:Button ID="btnUpdatePaypalExpress" runat="server" text="Save" onclick="btnUpdatePaypalExpress_Click" validationgroup="paypalExpress" />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabPayPalStandard" runat="server" headertext="PayPal Standard">
            <ContentTemplate>
                <asp:ValidationSummary id="vdsPayPalStandard" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true"
                    validationgroup="paypalStandard" />
                <table style="width:700px;">
                    <dsc:ProviderConfiguration id="paypalStandardProviderConfiguration" runat="server" validationgroup="paypalStandard"/>
                </table>
                <asp:Button ID="btnUpdatePaypalStandard" runat="server" text="Save" onclick="btnUpdatePaypalStandard_Click" validationgroup="paypalStandard"/>
            </ContentTemplate>
        </ajaxc:TabPanel>
    </ajaxc:TabContainer>
    <dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success"/>
</asp:Content>
