﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Menu.ascx.cs" Inherits="Controls_Blocks_Menu" %>
<%@ Register tagprefix="dsc" tagname="BlockEditor" src="~/Controls/Blocks/BlockEditor.ascx" %>

<dsc:BlockEditor id="editor" runat="server" edittitle="Edit Menu" onediting="editor_Editing" editheaderenabled="true" >
</dsc:BlockEditor>
<asp:Panel id="pnlBlockContent" runat="server">
    <div id="dvMenu" runat="server">
        <asp:Repeater id="rptMenu" runat="server">
            <ItemTemplate>
                <div class='<%# menuData.MenuItemClass %>'>
                    <a href='<%# ResolveAbsoluteUrl((string)Eval("Url")) %>' <%# IsCurrentPage((string)Eval("Url")) ? "class='selected'" : "" %> >
                        <span <%# IsLastMenu((int)Container.ItemIndex) ? "class='last'" : "" %>><%# Eval("Title")%></span>
                    </a>
                </div>
            </ItemTemplate>
        </asp:Repeater>
    </div>
</asp:Panel>