<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ChangeUserPassword.ascx.cs" Inherits="Controls_ChangeUserPassword" %>
<table>
    <asp:ValidationSummary id="UpdateValidationSummary" runat="server" headertext="<b>The following error(s) were found:</b>" 
        showsummary="true" validationgroup="ValidatePasswordUpdate" />
     <tr>
        <td class="FormSectionText">
            Old Password:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:TextBox id="txtOldPassword" runat="server" textmode="Password" width="200px"></asp:TextBox>
            <asp:requiredfieldvalidator id="OldPasswordRequired" runat="server" controltovalidate="txtOldPassword"
                validationgroup="ValidatePasswordUpdate" errormessage="Existing Password is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            New Password:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox id="txtNewPassword" runat="server" textmode="Password" width="200px"></asp:textbox>
            <asp:requiredfieldvalidator id="NewPasswordRequired" runat="server" controltovalidate="txtNewPassword"
                validationgroup="ValidatePasswordUpdate" errormessage="New password is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            Confirm Password:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" textmode="Password" id="txtConfirmPassword" width="200px"></asp:textbox>
            <asp:requiredfieldvalidator id="ConfirmPasswordRequired" runat="server" controltovalidate="txtConfirmPassword"
                validationgroup="ValidatePasswordUpdate" errormessage="Confirm Password is a required field.">*</asp:requiredfieldvalidator>
            <asp:comparevalidator id="PasswordCompare" runat="server" display="Dynamic" 
                controltocompare="txtConfirmPassword" controltovalidate="txtNewPassword" 
                validationgroup="ValidatePasswordUpdate">* The Password and Confirm Password fields must match.</asp:comparevalidator>
        </td>
    </tr>
 </table>
 <br /><div><asp:Label id="lblStatus" runat="server" cssclass="success"/></div><br />
<asp:Button id="btnUpdate" runat="server" onclick="btnUpdate_Click" text="Update" validationgroup="ValidatePasswordUpdate" />