﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ConditionsEditor.ascx.cs" Inherits="Controls_ConditionsEditor" %>
<asp:UpdatePanel id="UpdatePanel1" runat="server">
    <ContentTemplate>
        <asp:GridView id="gvwCondition" runat="server" autogeneratecolumns="false" onrowdatabound="gvwCondition_RowDataBound"
            onrowediting="gvwCondition_RowEditing" onrowcancelingedit="gvwCondition_RowCancelingEdit" onrowupdating="gvwCondition_RowUpdating"  onrowdeleting="gvwCondition_RowDeleting" >
            <Columns>
                <asp:TemplateField headertext="Property" itemstyle-width="100px">
                    <ItemTemplate>
                        <%# Eval("Property")%>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:DropDownList id="ddlProperty" runat="server" datatextfield="Name" datavaluefield="Name" 
                            autopostback="true" onselectedindexchanged="ddlProperty_SelectedIndexChanged">
                        </asp:DropDownList>
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField headertext="Operator" itemstyle-width="80px">
                    <ItemTemplate>
                        <%# Eval("ConditionOperator") %>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:DropDownList id="ddlOperator" runat="server" datatextfield="Key" datavaluefield="Value"></asp:DropDownList>
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField headertext="Value" itemstyle-width="130px">
                    <ItemTemplate>
                        <%# Eval("Value") %>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:MultiView id="mvValue" runat="server" activeviewindex="0">
                            <asp:View id="vwTextBox" runat="server">
                                <asp:TextBox id="txtValue" runat="server" width="120px"></asp:TextBox>
                            </asp:View>
                            <asp:View id="vwDropDownList" runat="server">
                                <asp:DropDownList id="ddlValue" runat="server" width="120px" datatextfield="Name" datavaluefield="Value"></asp:DropDownList>
                            </asp:View>
                        </asp:MultiView>
                    </EditItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField showheader="false">
                    <ItemTemplate>
                        <asp:Button id="btnEdit" runat="server" text="Edit" commandname="Edit" causesvalidation="false" />
                        <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:Button id="btnUpdate" runat="server" text="Update" commandname="Update" validationgroup="Condition" />
                        <asp:Button id="btnCancel" runat="server" text="Cancel" commandname="Cancel" causesvalidation="false" />
                    </EditItemTemplate>
                </asp:TemplateField>
            </Columns>
            <EmptyDataTemplate>
                This is empty. Please use "Add" button below.
            </EmptyDataTemplate>
        </asp:GridView>
        <asp:Panel id="pnlAdd" runat="server">
            <table cellpadding="0" cellspacing="0" style="padding: 4px 4px 4px 2px;">
                <colgroup>
                    <col width="100px" />
                    <col width="70px" />
                    <col width="130px" />
                </colgroup>
                <asp:Panel id="pnlHeader" runat="server">
                <tr style="font-weight:bold">
                    <td>
                        Property
                    </td>
                    <td>
                        Operator
                    </td>
                    <td>
                        Value
                    </td>
                    <td>
                    </td>
                </tr>
                </asp:Panel>
                <tr>
                    <td>
                        <asp:DropDownList id="ddlProperty" runat="server" width="90px" datatextfield="Name" datavaluefield="Name" 
                            autopostback="true" onselectedindexchanged="ddlProperty_SelectedIndexChanged">
                        </asp:DropDownList>
                    </td>
                    <td>
                        <asp:DropDownList id="ddlAddOperator" runat="server" datatextfield="Key" datavaluefield="Value" width="70px"></asp:DropDownList>
                    </td>
                    <td>
                        <asp:MultiView id="mvValue" runat="server" activeviewindex="0">
                            <asp:View id="vwTextBox" runat="server">
                                <asp:TextBox id="txtValue" runat="server" width="120px"></asp:TextBox>
                            </asp:View>
                            <asp:View id="vwDropDownList" runat="server">
                                <asp:DropDownList id="ddlValue" runat="server" width="120px" datatextfield="Name" datavaluefield="Value"></asp:DropDownList>
                            </asp:View>
                        </asp:MultiView>
                    </td>
                    <td>
                        <asp:Button id="btnAdd" runat="server" text="Add Condition" onclick="btnAdd_Click" />
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </ContentTemplate>
</asp:UpdatePanel>
