﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductListPage.ascx.cs" Inherits="Store_ProductListPage" %>
<%@ Register tagprefix="dsc" tagname="ProductSummary" src="ProductSummary.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductListResultBar" src="ProductListResultBar.ascx" %>
<%@ Register tagprefix="dsc" tagname="BlockEditor" src="~/Controls/Blocks/BlockEditor.ascx" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/Controls/NumberTextBox.ascx" %>

<dsc:BlockEditor id="editor" runat="server" edittitle="Edit Product List Results" blocktitle="Product List Results" onsave="editor_Save" >
    <EditTemplate>
        <asp:ValidationSummary id="vdsEdit" runat="server" showsummary="true" />
        <table>
            <tr>
                <td class="FormSectionText" style="width:350px;">The number of the columns:</td>
                <td>*</td>
                <td class="FormSectionValue"><dsc:NumberTextBox id="ntbColumns" runat="server" required="true" name="The number of the columns" 
                        minimumvalue="1" maximumvalue="10" width="100px" /></td>
            </tr>
            <tr>
                <td class="FormSectionText" style="width:350px;">The number of Products Shown Per Page:</td>
                <td>*</td>
                <td class="FormSectionValue"><dsc:NumberTextBox id="ntbProductCountPerPage" runat="server" required="true" name="The number of Products Shown Per Page"
                        minimumvalue="1" maximumvalue="1000" width="100px" /></td>
            </tr>
        </table>
    </EditTemplate>
</dsc:BlockEditor>
<asp:Panel id="pnlBlockContent" runat="server">
    <div class="sectionheader" style="margin-top:0px; margin-bottom:10px;">
        <asp:Label id="lblTitle" runat="server"></asp:Label>:
    </div>
    <div>
        <dsc:ProductListResultBar id="plrTop" runat="server" />
        <div style="margin-bottom:10px;">
            <asp:DataList ID="dlProducts" runat="server" repeatlayout="Table" repeatdirection="Horizontal" 
             cellpadding="0" cellspacing="0">
                <ItemTemplate>
                    <dsc:ProductSummary id="CategoryProductSummary" runat="server"  
                        product='<%# Container.DataItem %>' editordisabled='<%# EditorDisabled %>' />
               </ItemTemplate>
            </asp:DataList>
            <asp:Panel id="pnlEmpty" runat="server" visible="false">
                No products are found.
            </asp:Panel>
        </div>
   
        <dsc:ProductListResultBar id="plrBottom" runat="server" />
    </div>
</asp:Panel>