﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SelectPaymentOption.ascx.cs" Inherits="Store_SelectPaymentOption" %>
<%@ Register tagprefix="dsc" tagname="SelectCreditCardPaymentMethod" src="SelectCreditCardPaymentMethod.ascx" %>

<script type="text/javascript">
    function ActiveTabChanged(sender, e) {
        var activeTab = $get('<%=hidActiveTab.ClientID%>');
        activeTab.value = sender.get_activeTabIndex();
    }
</script>
<asp:HiddenField ID="hidActiveTab" runat="server" />
<asp:ValidationSummary id="vdsCreditCard" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" 
    validationgroup="creditcardCheckout" />

<asp:MultiView id="mvwPayment" runat="server" activeviewindex="0">
    <asp:View id="vwPayment" runat="server">
        <ajaxc:TabContainer id="tbcPaymentOptions" runat="server" onclientactivetabchanged="ActiveTabChanged">
            <ajaxc:TabPanel id="tbpCreditCard" runat="server" headertext="Credit Card" tooltip="Choose Credit Card Payment">
                <ContentTemplate>
                    <dsc:SelectCreditCardPaymentMethod id="selectCreditCardPaymentMethod" runat="server" validationgroup="creditcardCheckout" />
                </ContentTemplate>
            </ajaxc:TabPanel>
            <ajaxc:TabPanel id="tbpPayPalStandard" runat="server" headertext="PayPal" tooltip="Checkout via PayPal">
                <ContentTemplate>
                    <div style="font-weight:bold;">PayPal is the safer, easier way to pay</div>
                    <ul style="margin-top:4px; margin-left:18px;">
                        <li>Never expose your credit card number.</li>
                        <li>Speed through checkout all over the web. One account, one password - no need to retype your shipping or financial information. </li>
                    </ul>
                    <div>
                        <div style="font-weight:bold;">Notice:</div>
                        After you click the "Submit Order" button, you will be redirected to PayPal.com to pay for this order. 
                        Once payment is completed, please be sure to let PayPal redirect you back to our site. 
                        When PayPal redirects you, they send along your transaction information which we need in order to complete and reconcile your payment.
                    </div>

                </ContentTemplate>
            </ajaxc:TabPanel>
        </ajaxc:TabContainer>
    </asp:View>
    <asp:View id="vwNullPayment" runat="server">
        Order Total is zero. No need to enter payment information.
    </asp:View>
    <asp:View id="vwPayPalExpress" runat="server">
        Pay via PayPal Express Checkout
    </asp:View>
</asp:MultiView>    

