﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="RSSViewerControl.ascx.cs" Inherits="View_RSSViewerControl" %>
<%@ Register Assembly="RssToolkit" Namespace="RssToolkit.Web.WebControls" TagPrefix="rss" %>

<asp:Panel id="pnlRssViewer" runat="server" style="overflow:auto;">
    <rss:RssDataSource id="rdsDataSource" runat="server"></rss:RssDataSource>
    <asp:ListView id="lvwRssItemList" runat="server" datasourceid="rdsDataSource">
        <LayoutTemplate>
            <table>
                <asp:PlaceHolder id="itemPlaceholder" runat="server"></asp:PlaceHolder>
            </table>
        </LayoutTemplate>
        <ItemTemplate>
            <tr>
                <td>
                    <div class="rssViewerTitle"><a href='<%# Eval("link") %>'><%# HttpUtility.HtmlEncode((string)Eval("title")) %></a></div>
                    <div class="rssViewerDateTime"><%# DateTime.Parse((string)Eval("pubDateParsed")).ToString("d") %></div>
                    <div id="dvDescription" runat="server" visible='<%# ShowDescription %>'><%# Eval("description") %></div>
                </td>
            </tr>
        </ItemTemplate>
    </asp:ListView>
    <asp:Label id="lblError" runat="server" cssclass="error"></asp:Label>
</asp:Panel>