<%@ Page Language="C#" MasterPageFile="~/PopupWindow.master" AutoEventWireup="true" CodeFile="PackingSlip.aspx.cs" Inherits="Admin_Sale_PackingSlip" Title="Untitled Page" %>
<%@ MasterType virtualpath="~/PopupWindow.master" %>
<%@ Register tagprefix="dsc" tagname="AddressDisplay" src="~/Controls/AddressDisplay.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderItems" src="~/Store/OrderItems.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div>
        <dsc:AddressDisplay id="adStoreAddress" runat="server"></dsc:AddressDisplay>
    </div>
    <hr />
    <table width="100%;">
        <colgroup>
            <col style="width:50%;" />
            <col style="width:50%;" />
        </colgroup>
        <tr style="font-weight:bold;">
            <td>Bill To:</td>
            <td>Ship To:</td>
        </tr>
        <tr>
            <td>
                <dsc:AddressDisplay id ="adBillingAddress" runat="server"></dsc:AddressDisplay>
            </td>
            <td>
                <dsc:AddressDisplay id ="adShippingAddress" runat="server"></dsc:AddressDisplay>
            </td>
        </tr>
    </table>
    <table>
        <colgroup>
            <col style="font-weight:bold; width:200px;" />
        </colgroup>
        <tr>
            <td>Order#:</td>
            <td><%# Order.OrderNumber %></td>
        </tr>
        <tr>
            <td>Date Ordered:</td>
            <td><%# Order.Created.ToShortDateString() %></td>
        </tr>
        <tr>
            <td>User Email:</td>
            <td><%# Order.Email %></td>
        </tr>
        <tr>
            <td>Shipping Method:</td>
            <td><%# Order.ShippingMethod %></td>
        </tr>
    </table>
    <div style="margin-top:10px;">
        <dsc:OrderItems id="orderItems" runat="server" enableproductimage="false" enableprice="false"></dsc:OrderItems>
    </div>
</asp:Content>

