﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Site_Colors : DSCPage {
    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void  btnSave_Click(object sender, EventArgs e) {
        UIConfigurationSection section = UIConfigurationSection.GetSection();
        colors.SaveTo(section);
        ConfigurationController.SiteConfigurationController.SaveSection(UIConfigurationSection.SectionName, section);
        tlbStatus.ShowText("Saved");
        WebUtils.CleanUpThemeFiles();
    }
}
