<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TableBasedShippingConfiguration.ascx.cs" 
    Inherits="Admin_Controls_TableBasedShippingConfiguration" %>
<%@ Register tagprefix="dsc" tagname="ShippingMethodEdit" src="ShippingMethodEdit.ascx" %>
<%@ Register tagprefix="dsc" tagname="TableBasedShippingRegionDisplay" src="TableBasedShippingRegionDisplay.ascx" %>

<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>
<%@ Import namespace="System.Collections.Generic" %>

<div><dsc:ShippingMethodEdit id="addShippingMethod" runat="server" validationgroup="AddShippingMethod" 
        onshippingmethodsubmitted="addShippingMethod_ShippingMethodSubmitted" /></div>
<asp:Repeater id="rptShippingMethods" runat="server" onitemdatabound="rptShippingMethods_ItemDataBound">
    <ItemTemplate>
        <table style="margin-top:10px; margin-bottom:20px; width:100%;" cellpadding="0" cellspacing="0">
            <tr class="sectionHeader">
                <td style="text-align:left; padding-left:10px; height:25px; vertical-align:middle;">
                    Shipping Method: <asp:Label id="lblName" runat="server" text='<%# Eval("Name") %>'></asp:Label>
                    <dsc:ShippingMethodEdit id="editShippingMethod" runat="server" popupbuttontext="Edit" validationgroup="EditShippingMethod" 
                        onshippingmethodsubmitted="editShippingMethod_ShippingMethodSubmitted" shippingmethod='<%# Container.DataItem %>' />
                    <asp:Button id="btnDelete" runat="server" text="Delete" onclick="btnDelete_Click" causesvalidation="false" />
                    <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this shipping method?' />
                    <asp:Button id="btnAddShippingRegion" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="sectionoutline">
                    <dsc:TableBasedShippingRegionDisplay id="regionDisplay" runat="server" ShippingRegions='<%# Eval("ShippingRegions") %>' 
                        Target='<%# Eval("Target") %>' Unit='<%# Eval("Unit") %>' index='<%# Container.ItemIndex %>' />
                </td>
            </tr>
        </table>
    </ItemTemplate>
</asp:Repeater>    
