<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TableBasedShippingRegionDisplay.ascx.cs" Inherits="Admin_Store_Controls_TableBasedShippingRegionDisplay" %>
<%@ Register tagprefix="dsc" tagname="TableBasedShippingRateDisplay" src="TableBasedShippingRateDisplay.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Repeater id="rptShippingRegions" runat="server">
    <ItemTemplate>
        <table>
            <tr>
                <td>
                    Shipping Region: <asp:Label id="lblName" runat="server" text='<%# Eval("Name") %>' font-bold="true"></asp:Label>
                    <asp:Button id="btnEdit" runat="server" text="Edit" causesvalidation="false" 
                        onclientclick='<%# string.Format("javascript:window.location.href=\"{0}?sindex={1}&index={2}\";return false;", SiteNavigation.ShippingRegionEditPage, Index, Container.ItemIndex) %>' 
                    />
                    <asp:Button id="btnDelete" runat="server" text="Delete" oncommand="btnDelete_Command" commandargument='<%# Container.ItemIndex %>' causesvalidation="false" />
                    <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this shipping region?' />
                </td>
            </tr>
            <tr>
                <td>
                    <dsc:TableBasedShippingRateDisplay id="ratesDisplay" runat="server" rates='<%# Eval("Rates") %>' 
                        target='<%# Target %>' unit='<%# Unit %>' />
                </td>
            </tr>
        </table>
    </ItemTemplate>
</asp:Repeater>
