﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DSC = DotShoppingCart.OpenSource.Core;
using DotShoppingCart.OpenSource.Core;

public partial class Controls_Core_Register : BlockUserControl {
    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            CreateUserWizard1.ContinueDestinationPageUrl = Utils.GetParameter("ReturnUrl", SiteNavigation.HomePage);
        }
    }

    protected void CreateUserWizard1_CreatedUser(object sender, EventArgs e) {
        Controls_AddressInput billingAddressInput = CreateUserWizard1.CreateUserStep.ContentTemplateContainer.FindControl("billingAddress") as Controls_AddressInput;
        Controls_AccountOptionalInformation accountOptional = CreateUserWizard1.CreateUserStep.ContentTemplateContainer.FindControl("accountOptional") as Controls_AccountOptionalInformation;

        DSC.User.AddUser(CreateUserWizard1.UserName, accountOptional.NewsLetter, accountOptional.ReferralId, accountOptional.OtherReferralSource,
            billingAddressInput.FirstName, billingAddressInput.LastName, billingAddressInput.CompanyName, billingAddressInput.Address, billingAddressInput.Address2,
            billingAddressInput.City, billingAddressInput.State, billingAddressInput.Zipcode, billingAddressInput.CountryId, billingAddressInput.Phone, billingAddressInput.PhoneExt, DateTime.Now, true);
    }
}