<%@ Control Language="C#" AutoEventWireup="true" CodeFile="CreditCardManager.ascx.cs" Inherits="Controls_CreditCardManager" %>
<%@ Register tagprefix="dsc" tagname="CreditCardInput" src="CreditCardInput.ascx" %>

<h3>Please select a payment method</h3>

<asp:GridView id="gvwExistingCreditCards" runat="server" autogeneratecolumns="false" datakeynames="CreditCardId" 
    onrowdeleting="gvwExistingCreditCards_RowDeleting" onrowediting="gvwExistingCreditCards_RowEditing">
    <Columns>
        <asp:TemplateField headertext="Credit Card Type" itemstyle-width="150px">
            <ItemTemplate>
                <%# Eval("CreditCardType.Type") %>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField datafield="MaskedCardNumber" headertext="Credit Card No." itemstyle-width="150px" />
        <asp:BoundField datafield="CardHolderName" headertext="Cardholder's Name" itemstyle-width="150px" />
        <asp:TemplateField headertext="Expiration Date" itemstyle-width="150px">
            <ItemTemplate>
                <%# Eval("ExpireMonth") %>/<%# Eval("ExpireYear") %>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField>
            <ItemTemplate>
                <asp:Button id="btnEdit" runat="server" commandname="Edit" text="Edit" />
                <asp:Button id="btnDelete" runat="server" commandname="Delete" text="Delete" />
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>

<hr />
<h4><asp:Label id="lblTitle" runat="server"></asp:Label></h4>
<div><asp:ValidationSummary id="newCreditCardInputValidationSummary" runat="server" headertext="<b>The following error(s) were found:</b>" 
    showsummary="true" validationgroup="newCreditCardInput" /></div>
<dsc:CreditCardInput id="creditCardInput" runat="server" validationgroup="newCreditCardInput" />
<asp:Button id="btnAdd" runat="server" validationgroup="newCreditCardInput" 
    onclick="btnAdd_Click" text="Add" />
<asp:Button id="btnCancel" runat="server" causesvalidation="false"
    onclick="btnCancel_Click" text="Cancel" visible="false" />
