<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductOverview.ascx.cs" Inherits="Controls_ProductOverview" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<h3><a href="<%# SiteNavigation.GetRewriterUrl("Product", Product.SKU) %>"><%#Product.ProductName %></a></h3>
<table style="width:100%;">
    <tr>
        <td style="width:50%;">
            <a href="<%# SiteNavigation.GetRewriterUrl("Product", Product.SKU) %>">
                <img alt="" src="<%# FileController.GetImageUrl(Product.DefaultImageId, productSummaryData.ImageWidth, productSummaryData.ImageHeight) %>" />
            </a>
        </td>
        <td style="width:50%;">
            <div><asp:Label id="lblCurrentPrice" runat="server" cssclass="ourprice" text='<%# Product.OurPrice.ToString("C") %>'></asp:Label></div>
            <h3>Short Description:</h3>
            <div><%# Product.ShortDescription %></div>
        </td>
    </tr>
</table>
