<%@ Page Language="C#" MasterPageFile="~/PopupWindow.master" AutoEventWireup="true" CodeFile="ShippingEstimator.aspx.cs" Inherits="ShippingEstimator" Title="Estimate Shipping" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>Shipping Estimate:</h3>
    <asp:ValidationSummary id="AddressInputValidationSummary" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" />
    <table>
        <tr>
            <td>Country:</td>
            <td>
                <asp:ObjectDataSource id="odsCountryList" runat="server" typename="DotShoppingCart.OpenSource.Core.Country" selectmethod="GetAll" />
                <asp:DropDownList runat="server" id="ddlCountry" width="200px" datasourceid="odsCountryList" datatextfield="Name" datavaluefield="CodeISO3166"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>State:</td>
            <td>
                <asp:textbox runat="server" id="txtState" width="200px"></asp:textbox>
                <asp:requiredfieldvalidator id="StateRequired" runat="server" controltovalidate="txtState"
                    errormessage="State is a required field.">*</asp:requiredfieldvalidator>
            </td>
        </tr>
        <tr>
            <td>Zipcode:</td>
            <td>
                <asp:textbox runat="server" id="txtZipCode" width="200px"></asp:textbox>
                <asp:requiredfieldvalidator id="ZipCodeRequired" runat="server" controltovalidate="txtZipCode"
                    errormessage="ZipCode is a required field.">*</asp:requiredfieldvalidator>
            </td>
        </tr>
    </table>        
    <div><asp:Button id="btnUpdate" runat="server" text="Calculate" onclick="btnUpdate_Click" /></div>
    <hr />
    <asp:GridView id="gvwShippingMethod" runat="server" autogeneratecolumns="false">
        <Columns>
            <asp:BoundField headertext="Shipping Method" datafield="Name" />
            <asp:BoundField headertext="Rate" datafield="Price" dataformatstring="{0:c}" htmlencode="false" itemstyle-width="100px" />
        </Columns>
        <EmptyDataTemplate>
            We don't ship to the above address.
        </EmptyDataTemplate>
    </asp:GridView>
</asp:Content>

